summaryrefslogtreecommitdiff
path: root/helpers/lh_bootstrap_clone
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_bootstrap_clone')
-rwxr-xr-xhelpers/lh_bootstrap_clone61
1 files changed, 61 insertions, 0 deletions
diff --git a/helpers/lh_bootstrap_clone b/helpers/lh_bootstrap_clone
new file mode 100755
index 0000000..ce5f29f
--- /dev/null
+++ b/helpers/lh_bootstrap_clone
@@ -0,0 +1,61 @@
+#!/bin/sh
+
+# lh_bootstrap_clone(1) - bootstrap by cloning the host system
+# Copyright (C) 2006-2007 Daniel Baumann <daniel@debian.org>
+#
+# live-helper comes with ABSOLUTELY NO WARRANTY; for details see COPYING.
+# This is free software, and you are welcome to redistribute it
+# under certain conditions; see COPYING for details.
+
+set -e
+
+# Including common functions
+LH_BASE="${LH_BASE:-/usr/share/live-helper}"
+
+for FUNCTION in "${LH_BASE}"/functions/*.sh
+do
+ . "${FUNCTION}"
+done
+
+# Setting static variables
+DESCRIPTION="bootstrap by cloning the host system"
+HELP=""
+USAGE="${PROGRAM} [--force]"
+
+Arguments "${@}"
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/bootstrap
+Read_conffile config/chroot
+Read_conffile config/binary
+Read_conffile config/source
+Set_defaults
+
+if [ "${LH_BOOTSTRAP}" != "clone" ]
+then
+ exit 0
+fi
+
+Echo_message "Begin bootstrapping system..."
+
+# Ensure that a system is built as root
+lh_testroot
+
+# Checking stage file
+Check_stagefile .stage/bootstrap
+
+# Checking lock file
+Check_lockfile .lock
+
+# Creating lock file
+Create_lockfile .lock
+
+# Read package selection
+dpkg --get-selections
+
+# Read debconf values
+> preseed
+
+# Creating stage file
+Create_stagefile .stage/bootstrap